Comments
Comments aid conversation and collaboration around workspace datasets. Comments can be made on datasets, or other comments to form threads.
Objects
Comment
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The comment ID |
message | string | The comment message | |
likeCount | number | Unsigned integer | The number of likes the comment has received |
likedByProfiles | object[] | Array of Members | The workspace members that have liked the comment |
created | string | ISO 8601 timestamp | Timestamp denoting when the comment was created |
lastModified | string | ISO 8601 timestamp | Timestamp denoting when the comment was last modified |
from | object | Member | The comment author |
commentCount | number | Unsigned integer | The number of replies the comment has received |
datasetId | string | Version 4 UUID | The ID of the dataset comment subject |
parentId | string | Version 4 UUID | The ID of the parent comment |
{
"id" : "52973513-e9d4-4614-863d-c2a2985dc177",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:41.269408800] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:41.310001",
"lastModified" : "2026-06-17T12:39:41.310001",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "POST"
}
}
}
Requests
View all comments on a dataset
GET /api/datasets/{dataset-id}/comments
Returns all comments on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments' -i -X GET
import requests
url = "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment collection with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "2d06f412-0446-4916-b145-7f99246bbb6e",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:40.269959935] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:40.309004",
"lastModified" : "2026-06-17T12:39:40.309004",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/2d06f412-0446-4916-b145-7f99246bbb6e",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/2d06f412-0446-4916-b145-7f99246bbb6e",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/2d06f412-0446-4916-b145-7f99246bbb6e"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/2d06f412-0446-4916-b145-7f99246bbb6e/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/2d06f412-0446-4916-b145-7f99246bbb6e",
"type" : "POST"
}
}
}, {
"id" : "462d33bd-a072-4e38-8c1b-45d198ac6a00",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:40.137505250] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:40.180002",
"lastModified" : "2026-06-17T12:39:40.180002",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/462d33bd-a072-4e38-8c1b-45d198ac6a00",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/462d33bd-a072-4e38-8c1b-45d198ac6a00",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/462d33bd-a072-4e38-8c1b-45d198ac6a00"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/462d33bd-a072-4e38-8c1b-45d198ac6a00/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/462d33bd-a072-4e38-8c1b-45d198ac6a00",
"type" : "POST"
}
}
}, {
"id" : "fffaccf0-6b44-4b5f-b749-1da3b068036f",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:39.999398023] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:40.039377",
"lastModified" : "2026-06-17T12:39:40.039378",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/fffaccf0-6b44-4b5f-b749-1da3b068036f/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/fffaccf0-6b44-4b5f-b749-1da3b068036f",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/fffaccf0-6b44-4b5f-b749-1da3b068036f",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/fffaccf0-6b44-4b5f-b749-1da3b068036f"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/fffaccf0-6b44-4b5f-b749-1da3b068036f/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/fffaccf0-6b44-4b5f-b749-1da3b068036f",
"type" : "POST"
}
}
}, {
"id" : "c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:38.401817077] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:38.450224",
"lastModified" : "2026-06-17T12:39:38.450224",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 3,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"comments" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments?parentId=c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}
View a comment
GET /api/comments/{comment-id}
Returns the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177' -i -X GET
import requests
url = "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "52973513-e9d4-4614-863d-c2a2985dc177",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:41.269408800] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:41.310001",
"lastModified" : "2026-06-17T12:39:41.310001",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "POST"
}
}
}
View the edit history of a comment
GET /api/comments/{comment-id}/history
Returns the edit history of the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177/history' -i -X GET
import requests
url = "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177/history"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
[ {
"lastModified" : "2026-06-17T12:39:41.313",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:41.269408800] to ",
"editVersion" : "1047217"
}, {
"lastModified" : "2026-06-17T12:39:41.516",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:41.458891772] to ",
"editVersion" : "1047218"
} ]
View all replies to a comment
GET /api/comments/{comment-id}
Returns all replies to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments?parentId=c27980f3-ed0b-4229-94f7-5cbd77ab6f45' -i -X GET
import requests
url = "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments?parentId=c27980f3-ed0b-4229-94f7-5cbd77ab6f45"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "6732b768-ec37-4de3-bace-af431f33984b",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:39.183089425] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:39.222194",
"lastModified" : "2026-06-17T12:39:39.222195",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"parentId" : "c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/6732b768-ec37-4de3-bace-af431f33984b/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/6732b768-ec37-4de3-bace-af431f33984b",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/6732b768-ec37-4de3-bace-af431f33984b",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/6732b768-ec37-4de3-bace-af431f33984b"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/6732b768-ec37-4de3-bace-af431f33984b/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/6732b768-ec37-4de3-bace-af431f33984b",
"type" : "POST"
}
}
}, {
"id" : "d110a5d1-a6ab-486d-a50a-bb9d19c0caaa",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:39.040761228] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:39.097964",
"lastModified" : "2026-06-17T12:39:39.097964",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"parentId" : "c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/d110a5d1-a6ab-486d-a50a-bb9d19c0caaa",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/d110a5d1-a6ab-486d-a50a-bb9d19c0caaa",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/d110a5d1-a6ab-486d-a50a-bb9d19c0caaa"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/d110a5d1-a6ab-486d-a50a-bb9d19c0caaa/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/d110a5d1-a6ab-486d-a50a-bb9d19c0caaa",
"type" : "POST"
}
}
}, {
"id" : "8dad8e26-b46a-490e-a893-91d8f03884d7",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:38.913032347] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:38.950421",
"lastModified" : "2026-06-17T12:39:38.950422",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"parentId" : "c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/8dad8e26-b46a-490e-a893-91d8f03884d7/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/8dad8e26-b46a-490e-a893-91d8f03884d7",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/8dad8e26-b46a-490e-a893-91d8f03884d7",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/8dad8e26-b46a-490e-a893-91d8f03884d7"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/8dad8e26-b46a-490e-a893-91d8f03884d7/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/8dad8e26-b46a-490e-a893-91d8f03884d7",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments?parentId=c27980f3-ed0b-4229-94f7-5cbd77ab6f45&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
Initialise a comment on a dataset
POST /api/datasets/{dataset-id}/comments
Initialises a new comment on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "4744559a-0538-4f3f-a2b8-7e19e114bbbb",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:41.071210257",
"lastModified" : "2026-06-17T12:39:41.071210461",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"create comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/4744559a-0538-4f3f-a2b8-7e19e114bbbb",
"type" : "PUT"
}
}
}
Initialise a reply to a comment
POST /api/comments/{comment-id}
Initialises a new reply comment to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "9f5a902d-1769-4f0a-85ab-37c4a3758bbc",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:40.672634825",
"lastModified" : "2026-06-17T12:39:40.672635011",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"parentId" : "c27980f3-ed0b-4229-94f7-5cbd77ab6f45",
"_links" : {
"create comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/9f5a902d-1769-4f0a-85ab-37c4a3758bbc",
"type" : "PUT"
}
}
}
Create a comment
PUT /api/comments/{comment-id}
Creates the comment {comment-id}.
Prerequisites
- The comment must have been initialised in order to create it
- The target dataset
{dataset-id}or comment{comment-id}must exist
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:40.419604831] to ",
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/773c29d7-59eb-4d90-b51e-318403c7fe31' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:40.419604831] to ",
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7"
}'
import requests
url = "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/773c29d7-59eb-4d90-b51e-318403c7fe31"
data = {
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:40.419604831] to ",
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
Comment with HAL links.
{
"id" : "773c29d7-59eb-4d90-b51e-318403c7fe31",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:40.419604831] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:40.54583231",
"lastModified" : "2026-06-17T12:39:40.545832658",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/773c29d7-59eb-4d90-b51e-318403c7fe31/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/773c29d7-59eb-4d90-b51e-318403c7fe31",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/773c29d7-59eb-4d90-b51e-318403c7fe31",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/773c29d7-59eb-4d90-b51e-318403c7fe31"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/773c29d7-59eb-4d90-b51e-318403c7fe31/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/773c29d7-59eb-4d90-b51e-318403c7fe31",
"type" : "POST"
}
}
}
Update a comment
PUT /api/comments/{comment-id}
Updates the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:41.109746020] to "
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177' -i -X GET
import requests
url = "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "52973513-e9d4-4614-863d-c2a2985dc177",
"message" : "SIT-generated reply Pesho [2026-06-17T12:39:41.269408800] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-06-17T12:39:41.310001",
"lastModified" : "2026-06-17T12:39:41.310001",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "12e865fb-f08e-4ffc-9085-85fd0cd050b7",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/12e865fb-f08e-4ffc-9085-85fd0cd050b7/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/52973513-e9d4-4614-863d-c2a2985dc177",
"type" : "POST"
}
}
}
Record a like of a comment
PUT /api/comments/{comment-id}/like
Records a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45/like' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
No response body provided.
Remove a like from a comment
DELETE /api/comments/{comment-id}/like
Removes a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45/like' -i -X DELETE
import requests
url = "https://app.matatika.com/api/comments/c27980f3-ed0b-4229-94f7-5cbd77ab6f45/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
Delete a comment
DELETE /api/comments/{comment-id}
Deletes the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/b9636994-716c-4968-a6dd-c5dec9a933d2' -i -X DELETE
import requests
url = "https://app.matatika.com/api/comments/b9636994-716c-4968-a6dd-c5dec9a933d2"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.